namespace DocuMed.Domain.Entities.MedicalHistoryTemplate;

[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[AdaptTwoWays("[name]LDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[GenerateMapper]



public partial class MedicalHistoryTemplate : ApiEntity
{
    public MedicalHistoryTemplate()
    {
            
    }
    public MedicalHistoryTemplate(string chiefComplaint)
    {
        ChiefComplaint = chiefComplaint;
    }

    public string ChiefComplaint { get; internal set; } = string.Empty;

    public List<MedicalHistoryQuestion> Questions { get; internal set; } = new();
}